.burger__btn {
    width: fit-content;
    height: fit-content;
    @include flex-col;
    align-items: flex-end;
    overflow: hidden;
    gap: 6px;
    transition: all 0.4s ease-out;
    position: relative;
    cursor: pointer;

    @media (min-width: 769px) {
        display: none;
    }
}

.burger__line {
    height: 3px;
    background-color: #ffffff;
    transition: all 0.4s ease-out;
    width: 26px;

    &.line-1 {
        width: 15px;
    }
}

.burger__btn._active {
    .line-2 {
        transform: rotate(225deg);
    }

    .line-1 {
        transform: translateX(200%);
        opacity: 0;
    }

    .line-3 {
        transform: translateY(-300%) rotate(-45deg);
    }
}

.header__nav-wrapper._burger {
    font-size: 26px;
    line-height: 1;
    font-weight: 400;
    max-width: 300px;
    display: flex;
    color: $main_color-2;
    background-color: #333333;
    position: absolute;
    top: 103px;
    right: 3%;
    box-shadow: 0 0 2px rgba(255, 255, 255, 0.2);
    animation: show .5s ease-in-out;
    z-index: 10;
    
    .header__nav {
        min-width: 300px;
        @include flex-col;
        gap: 0;
        text-align: left;
        z-index: 10;
    }

    & .header__nav-item {
        width: 100%;
        padding: 35px 11.5% 25px;
        border-bottom: 3px solid #3B3B3B;
        position: relative;

        &:hover {
            color: $main_color-1;
        }
    }

    .header__nav-link:focus {
        outline: none;
        color: $main_color-1;

        &::before {
            content: '';
            position: absolute;
            height: 53px;
            width: 8px;
            background-color: $main_color-1;
            left: 2px;
            top: 50%;
            transform: translate(0, -50%);
            transition: background-color 0.4s ease;
        }
    }
}

@keyframes show {
    0% {
        transform: scale(0);
        transform-origin: top right;
        opacity: 0;
    }

    100% {
        transform: scale(1);
    }
}